Bug 177768 - hpijs does not support 1200x1200dpi on DP Deskjet 1280
hpijs does not support 1200x1200dpi on DP Deskjet 1280
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 15:20 EST by David W. Legg
Modified: 2009-07-14 13:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from printconf-tui -Xexport (7.50 KB, text/plain)
2006-01-17 14:21 EST, David W. Legg
no flags Details
hpdj1280-f9.prn (1.36 MB, application/octet-stream)
2008-06-02 08:11 EDT, Tim Waugh
no flags Details
hpdj1280-f9.prn (9.00 MB, application/octet-stream)
2008-06-04 05:36 EDT, Tim Waugh
no flags Details

  None (edit)
Description David W. Legg 2006-01-13 15:20:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
1200x1200dpi printing does not work with the hpijs driver.
I am using the one inside hplips 0.9.7 on Fedora Core 3.
It was the same with the hpijs in FC3, though, and the
same version in FC4.
300dpi and 600dpi resolutions work fine and have very
nice colour rendition, but 1200dpi HiRres or Photo mode
smudge the colours badly, so that the effective resolution
is lower than in the 600dpi mode, with prints coming out
very dark.

Version-Release number of selected component (if applicable):
hpijs-1.6-2

How reproducible:
Always

Steps to Reproduce:
1. Print at 1200x1200dpi using CUPS
2.
3.
  

Actual Results:  Smudgy picture, inferior to 600x600dpi

Expected Results:  Nice photo quality print.

Additional info:
Comment 1 Tim Waugh 2006-01-17 06:23:03 EST
Changing version to fc4: "I am using the one inside hplips 0.9.7 on Fedora Core
3.  It was the same with the hpijs in FC3, though, and the same version in FC4."

Please attach the output of 'printconf-tui --Xexport'.
Comment 2 David W. Legg 2006-01-17 14:21:02 EST
Created attachment 123325 [details]
Output from printconf-tui -Xexport
Comment 3 David W. Legg 2006-01-17 14:23:14 EST
Ignore the Epson 880 stuff at the start of the printconf-tui.txt file, of course.
Cheers.
Comment 4 Tim Waugh 2006-01-18 07:14:15 EST
Data for the HP DeskJet 1280 is now included in Fedora Core 5 test 2, so
hopefully this issue will be fixed in Fedora Core 5.
Comment 5 David W. Legg 2006-02-25 17:12:23 EST
Still a problem with Fedora Core 5 Test 3, fully updated to 25/2/2006.

So, it is possible to select 1200dpi and print, but the prints come out all
smudgy and inferior to what you get from selected 600dpi. (hplip/hpijs driver)

Also, gimp only allows printing at 600dpi max, using the gimp driver.
Comment 6 David W. Legg 2006-02-25 17:15:15 EST
BTW: My FC5 Test 3 is on AMD64.

I have changed the platform to 'All' and the version to fc5test3.
Comment 7 Tim Waugh 2006-12-15 06:56:18 EST
Do you still see the same with FC6, which has a newer version of the hpijs driver?
Comment 8 David W. Legg 2006-12-15 15:21:40 EST
I have a bang up-to-date FC5 now, but no FC6 yet.
Is the latest hpijs driver readily available for FC5?
Comment 9 Tim Waugh 2006-12-18 10:45:32 EST
I'm afraid not.
Comment 10 David W. Legg 2006-12-18 11:34:05 EST
Better leave this one open until somebody tries it with >=FC6, I guess.
I will probably try it some time.
Comment 11 Matthew Miller 2007-04-06 13:13:58 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 12 David W. Legg 2007-04-07 04:59:15 EDT
I don't have any FC7 boxes at present. Please would some-one who does check the
1200x1200 support on the HP1280 printer.
Otherwise, I will do it at some point in the future.
Comment 13 Matthew Miller 2007-04-07 08:05:12 EDT
Okay. Moving to devel version in the meantime so this doesn't get lost. Leaving
in needinfo state until this can be retested.
Comment 14 David W. Legg 2007-12-31 11:24:16 EST
Got an FC7 box now.

HP Deskjet 1280 not available from Gimp printer set-up.
Chose 1220C.  1200x1200 dpi not available.

Tried printing from kuickshow.
KDE printing dialogue allowed me to choose 1200x1200 dpi.
Printer appeared to be attempting 1200x1200dpi.
However, output is still rather "muddy" as it was when this bug was originally
raised, I'm afraid.

Maybe this bug should now be assigned to FC7/8?
Comment 15 Bug Zapper 2008-05-14 07:58:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Tim Waugh 2008-05-14 09:49:15 EDT
Changing version to '8' on the assumption that this bug is still present.  Needs
re-testing.
Comment 17 Tim Waugh 2008-06-02 08:11:06 EDT
Created attachment 307353 [details]
hpdj1280-f9.prn

Here is the print output from the Fedora 9 hpijs driver.  Can you try printing
it like this?:

lp -oraw -dHP1280 hpdj1280-f9.prn
Comment 18 David W. Legg 2008-06-03 15:23:38 EDT
I printed it like this on my FC7 box:
lp -oraw -dDeskjet_1280 hpdj1280-f9.prn

The CUPS test page magically appeared, but claiming that the resolution was
300x300dpi.  Was that what you intended?
Comment 19 Tim Waugh 2008-06-04 05:36:56 EDT
Created attachment 308331 [details]
hpdj1280-f9.prn

No, not exactly. ;-)

Please try this one, which should be for 1200x1200.
Comment 20 David W. Legg 2008-06-04 15:16:12 EDT
Well that one came out at 1200x1200.
The 1 degree radial lines look good, but they're only monochrome of course.
The 'color wheel' is obviously at a higher resolution than 300dpi, but looks
rather smudgy, just as my photographs did, and you can see concentric rings of
colour.  My Epson C42 renders the colour gradients much more smoothly in comparison.

If you would like me to post you the physical piece of paper so that you can see
for yourself, just email me direct with your postal address ...
Comment 21 David W. Legg 2008-06-04 15:18:01 EDT
I would also say that the black print is very sharp indeed, however it is not
really quite black: It's dark grey (gray).
Comment 22 Tim Waugh 2008-06-05 04:58:23 EDT
That was with these settings:

Printout Mode: Normal
Page Size: A4
Double-Sided Printing: Off
Resolution, Quality, Ink Type, Media Type: 1200 dpi, Photo, Black + Color Cartr,
Photo Paper

Have you tried using photo quality paper?  It sounds like it might just be the
extra ink required for that resolution causing smudging before it dries.
Comment 23 David W. Legg 2008-06-06 13:51:31 EDT
Surely photo quality paper is less absorbent and takes less ink doesn't it?
If not, I'll try it.
Comment 24 Tim Waugh 2008-06-10 05:57:32 EDT
It's much less porous, and so the ink doesn't spread.  Photo quality paper
requires more ink than normal paper.
Comment 25 David W. Legg 2008-06-14 11:19:24 EDT
Well I have just expended a sheet of my very nice glossy, photo quality, card
adn printed the hpdj1280-f9.prn file ... and it doesn't really look any
different from the copy of plain paper.

There are concentric rings of colour variation on the colour wheel where there
should clearly just a be a nice radial colour gradient .

Once again, I repeat my offer to post to you the hard copy. :D
Comment 26 Bug Zapper 2009-06-09 18:05:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Bug Zapper 2009-07-14 13:23:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.